/* $NetBSD$ */

/*
 * System call names.
 *
 * DO NOT EDIT-- this file is automatically generated.
 * created from	NetBSD: syscalls.master,v 1.10 2009/01/13 22:27:43 pooka Exp
 */

#include <sys/cdefs.h>
__KERNEL_RCSID(0, "$NetBSD$");

#if defined(_KERNEL_OPT)
#if defined(_KERNEL_OPT)
#include "opt_ntp.h"
#include "opt_sysv.h"
#endif
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/signal.h>
#include <sys/mount.h>
#include <sys/poll.h>
#include <sys/syscallargs.h>
#include <compat/mach/mach_types.h>
#include <compat/mach/mach_message.h>
#include <compat/mach/mach_clock.h>
#include <compat/mach/mach_syscallargs.h>
#endif /* _KERNEL_OPT */

const char *const mach_syscallnames[] = {
	/*   0 */	"#0 (unimplemented)",
	/*   1 */	"#1 (unimplemented)",
	/*   2 */	"#2 (unimplemented)",
	/*   3 */	"#3 (unimplemented)",
	/*   4 */	"#4 (unimplemented)",
	/*   5 */	"#5 (unimplemented)",
	/*   6 */	"#6 (unimplemented)",
	/*   7 */	"#7 (unimplemented)",
	/*   8 */	"#8 (unimplemented)",
	/*   9 */	"#9 (unimplemented)",
	/*  10 */	"#10 (unimplemented)",
	/*  11 */	"#11 (unimplemented)",
	/*  12 */	"#12 (unimplemented)",
	/*  13 */	"#13 (unimplemented)",
	/*  14 */	"#14 (unimplemented)",
	/*  15 */	"#15 (unimplemented)",
	/*  16 */	"#16 (unimplemented)",
	/*  17 */	"#17 (unimplemented)",
	/*  18 */	"#18 (unimplemented)",
	/*  19 */	"#19 (unimplemented)",
	/*  20 */	"#20 (unimplemented)",
	/*  21 */	"#21 (unimplemented)",
	/*  22 */	"#22 (unimplemented)",
	/*  23 */	"#23 (unimplemented)",
	/*  24 */	"#24 (unimplemented)",
	/*  25 */	"#25 (unimplemented)",
	/*  26 */	"reply_port",
	/*  27 */	"thread_self_trap",
	/*  28 */	"task_self_trap",
	/*  29 */	"host_self_trap",
	/*  30 */	"#30 (unimplemented)",
	/*  31 */	"msg_trap",
	/*  32 */	"msg_overwrite_trap",
	/*  33 */	"semaphore_signal_trap",
	/*  34 */	"semaphore_signal_all_trap",
	/*  35 */	"semaphore_signal_thread_trap",
	/*  36 */	"semaphore_wait_trap",
	/*  37 */	"semaphore_wait_signal_trap",
	/*  38 */	"semaphore_timedwait_trap",
	/*  39 */	"semaphore_timedwait_signal_trap",
	/*  40 */	"#40 (unimplemented)",
	/*  41 */	"init_process",
	/*  42 */	"#42 (unimplemented)",
	/*  43 */	"map_fd",
	/*  44 */	"#44 (unimplemented)",
	/*  45 */	"task_for_pid",
	/*  46 */	"pid_for_task",
	/*  47 */	"#47 (unimplemented)",
	/*  48 */	"macx_swapon",
	/*  49 */	"macx_swapoff",
	/*  50 */	"#50 (unimplemented)",
	/*  51 */	"macx_triggers",
	/*  52 */	"#52 (unimplemented)",
	/*  53 */	"#53 (unimplemented)",
	/*  54 */	"#54 (unimplemented)",
	/*  55 */	"#55 (unimplemented)",
	/*  56 */	"#56 (unimplemented)",
	/*  57 */	"#57 (unimplemented)",
	/*  58 */	"#58 (unimplemented)",
	/*  59 */	"swtch_pri",
	/*  60 */	"swtch",
	/*  61 */	"syscall_thread_switch",
	/*  62 */	"clock_sleep_trap",
	/*  63 */	"#63 (unimplemented)",
	/*  64 */	"#64 (unimplemented)",
	/*  65 */	"#65 (unimplemented)",
	/*  66 */	"#66 (unimplemented)",
	/*  67 */	"#67 (unimplemented)",
	/*  68 */	"#68 (unimplemented)",
	/*  69 */	"#69 (unimplemented)",
	/*  70 */	"#70 (unimplemented)",
	/*  71 */	"#71 (unimplemented)",
	/*  72 */	"#72 (unimplemented)",
	/*  73 */	"#73 (unimplemented)",
	/*  74 */	"#74 (unimplemented)",
	/*  75 */	"#75 (unimplemented)",
	/*  76 */	"#76 (unimplemented)",
	/*  77 */	"#77 (unimplemented)",
	/*  78 */	"#78 (unimplemented)",
	/*  79 */	"#79 (unimplemented)",
	/*  80 */	"#80 (unimplemented)",
	/*  81 */	"#81 (unimplemented)",
	/*  82 */	"#82 (unimplemented)",
	/*  83 */	"#83 (unimplemented)",
	/*  84 */	"#84 (unimplemented)",
	/*  85 */	"#85 (unimplemented)",
	/*  86 */	"#86 (unimplemented)",
	/*  87 */	"#87 (unimplemented)",
	/*  88 */	"#88 (unimplemented)",
	/*  89 */	"timebase_info",
	/*  90 */	"wait_until",
	/*  91 */	"timer_create",
	/*  92 */	"timer_destroy",
	/*  93 */	"timer_arm",
	/*  94 */	"timer_cancel",
	/*  95 */	"get_time_base_info",
	/*  96 */	"#96 (unimplemented)",
	/*  97 */	"#97 (unimplemented)",
	/*  98 */	"#98 (unimplemented)",
	/*  99 */	"#99 (unimplemented)",
	/* 100 */	"#100 (unimplemented)",
	/* 101 */	"#101 (unimplemented)",
	/* 102 */	"#102 (unimplemented)",
	/* 103 */	"#103 (unimplemented)",
	/* 104 */	"#104 (unimplemented)",
	/* 105 */	"#105 (unimplemented)",
	/* 106 */	"#106 (unimplemented)",
	/* 107 */	"#107 (unimplemented)",
	/* 108 */	"#108 (unimplemented)",
	/* 109 */	"#109 (unimplemented)",
	/* 110 */	"#110 (unimplemented)",
	/* 111 */	"#111 (unimplemented)",
	/* 112 */	"#112 (unimplemented)",
	/* 113 */	"#113 (unimplemented)",
	/* 114 */	"#114 (unimplemented)",
	/* 115 */	"#115 (unimplemented)",
	/* 116 */	"#116 (unimplemented)",
	/* 117 */	"#117 (unimplemented)",
	/* 118 */	"#118 (unimplemented)",
	/* 119 */	"#119 (unimplemented)",
	/* 120 */	"#120 (unimplemented)",
	/* 121 */	"#121 (unimplemented)",
	/* 122 */	"#122 (unimplemented)",
	/* 123 */	"#123 (unimplemented)",
	/* 124 */	"#124 (unimplemented)",
	/* 125 */	"#125 (unimplemented)",
	/* 126 */	"#126 (unimplemented)",
	/* 127 */	"#127 (unimplemented)",
};
